com.ibm.openpages.api.workflow

## Interface IWFActivityNotificationFindOptions

- All Superinterfaces:
    IBaseFindOptions

      public interface IWFActivityNotificationFindOptions
      extends IBaseFindOptions

  Represents options for retrieving `IWFActivityNotification`s using the `IWorkflowService.getActivityNotifications(IWFActivityNotificationFindOptions)` method.

  Since:
    8.2.0.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getDueDate()` Get the due date filter
    `boolean` | `isForToday()` Is the filter configured to return today's notifications only?
    `void` | `setDueDate(java.util.Date dueDate)` Configure the filter to get all notifications for tasks due on a specific date
    `void` | `setForToday(boolean forToday)` Set the filter to get all notifications that should be sent out today

    - ### Methods inherited from interface com.ibm.openpages.api.rule.IBaseFindOptions

      `getAndOr, getIncludeTotalCount, getIsPagingOn, getMaxResults, getPageNum, getResultsPerPage, getReturnLastRow, getReturnOnlyCounts, getReturnStartRow, getSortDirection, getSortFieldName, setAndOr, setIncludeTotalCount, setMaxResults, setPageNum, setPagingOn, setResultsPerPage, setReturnLastRow, setReturnOnlyCounts, setReturnStartRow, setSortDirection, setSortFieldName`

- - ### Method Detail

    - #### setForToday

          void setForToday(boolean forToday)

      Set the filter to get all notifications that should be sent out today
      Parameters:
        `forToday` - - true, to configure the filter to get the notifications for today; false otherwise

    - #### isForToday

          boolean isForToday()

      Is the filter configured to return today's notifications only?
      Returns:
        true, if the filter is configured to return today's notifications; false otherwise

    - #### setDueDate

          void setDueDate(java.util.Date dueDate)

      Configure the filter to get all notifications for tasks due on a specific date
      Parameters:
        `dueDate` - if null, all notifications will be returned regardless of due date

    - #### getDueDate

          java.util.Date getDueDate()

      Get the due date filter
      Returns:

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.